libcrypto.so.10(libcrypto.so.10)(64bit) is needed by mysql-community-libs-8.0.17-1.el6.x86_64

wylc123 7月前 ⋅ 409 阅读
[root@localhost mysql]# rpm -ivh mysql-community-libs-8.0.17-1.el6.x86_64.rpm 
warning: mysql-community-libs-8.0.17-1.el6.x86_64.rpm: Header V3 DSA/SHA1 Signature, key ID 5072e1f5: NOKEY
error: Failed dependencies:
        libcrypto.so.10(libcrypto.so.10)(64bit) is needed by mysql-community-libs-8.0.17-1.el6.x86_64
        libssl.so.10(libssl.so.10)(64bit) is needed by mysql-community-libs-8.0.17-1.el6.x86_64

这里用的是 中标麒麟6.4 ,从网上搜索了libcrypto.so.10的rpm包:

http://rpmfind.net/linux/rpm2html/search.php?query=libcrypto.so.10&submit=Search+...&system=&arch=

① 下载了centos el6 版本的 “openssl-1.0.1e-57.el6.i686.rpm” ;

② 使用“ rpm -ivh openssl-1.0.1e-57.el6.x86_64.rpm” 提示与服务器已有的 openssl-1.0.0-27.el6.ns6.01.x86_64 重复了;

③ 使用命令 “ rpm -ivh openssl-1.0.1e-57.el6.x86_64.rpm --force” 强制安装;

④ 重新执行安装 “rpm -ivh mysql-community-libs-8.0.17-1.el6.x86_64.rpm” ,这一次可以安装成功了;

下载地址补充:

https://centos.pkgs.org/7/centos-updates-x86_64/openssl-libs-1.0.2k-22.el7_9.x86_64.rpm.html

#下载
wget ftp://ftp.pbone.net/mirror/ftp.centos.org/7.6.1810/updates/x86_64/Packages/openssl-libs-1.0.2k-16.el7_6.1.x86_64.rpm

#安装
rpm -ivh openssl-libs-1.0.2k-16.el7_6.1.x86_64.rpm --force

再不行试一下:

安装的时候最好在root权限下安装

需要在rpm包后面添加--nodeps --force

rpm -ivh mysql-community-libs-8.0.11-1.el7.x86_64.rpm --nodeps --force

全部评论: 0

    我有话说: